/**
 * \file Abilities.h
 * \date 12.03.2001
 *
 * Interface for the AbilitiesInterface class
 */

#ifndef INTERFACES_ABILITIES_H
#define INTERFACES_ABILITIES_H

#include "Interfaces/Interface.h"

/**
 * \class AbilitiesInterface
 * \author Marek Lehuta
 * \brief Abilities task interface
 *
 * Abilities task takes out complex actions
 */
 
class AbilitiesInterface : public Interface
{
public:
	// Construction and destruction
	AbilitiesInterface() : Interface("Abilities interface", "v0.0.01") {}
	virtual ~AbilitiesInterface() {}

	
	// Interface functions
	virtual void Attack() = 0;
	virtual void Defend() = 0;
	virtual void Pass() = 0;
	virtual void Free() = 0;
	virtual void Dribble() = 0;

protected:

private:

};

#endif // INTERFACES_ABILITIES_H
